CS::RenderManager::RenderViewCache Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::RenderManager::RenderViewCache Class Reference

Stores a cache of RenderView objects, mapped by iView objects. More...

`#include <csplugincommon/rendermanager/renderview.h>`

List of all members.

## Public Member Functions
csPtr< RenderView > | CreateRenderView ()
| Creates a new RenderView.
csPtr< RenderView > | CreateRenderView (RenderView *view)
| Creates a new RenderView from the given RenderView.
csPtr< RenderView > | CreateRenderView (RenderView *view, bool keepCamera)
| Creates a new RenderView from the given RenderView and optionally keeps the camera.
RenderView * | GetRenderView (iView *view)
| Returns a render view for the given view.
RenderView * | GetRenderView (RenderView *view, iPortal *portal, iCamera *camera)
| Returns a render view for the given RenderView and portal.

## Detailed Description

Stores a cache of RenderView objects, mapped by iView objects.

Definition at line 306 of file renderview.h.

## Member Function Documentation

csPtr<RenderView> CS::RenderManager::RenderViewCache::CreateRenderView | ( |  | ) |

Creates a new RenderView.

csPtr<RenderView> CS::RenderManager::RenderViewCache::CreateRenderView | ( | RenderView * | view | ) |

Creates a new RenderView from the given RenderView.

csPtr<RenderView> CS::RenderManager::RenderViewCache::CreateRenderView | ( | RenderView * | view,
|  | bool | keepCamera
| ) |  |

Creates a new RenderView from the given RenderView and optionally keeps the camera.

RenderView* CS::RenderManager::RenderViewCache::GetRenderView | ( | iView * | view | ) |

Returns a render view for the given view.

RenderView* CS::RenderManager::RenderViewCache::GetRenderView | ( | RenderView * | view,
|  | iPortal * | portal,
|  | iCamera * | camera
| ) |  |

Returns a render view for the given RenderView and portal.

The documentation for this class was generated from the following file:

- csplugincommon/rendermanager/renderview.h